/*
* Copyright (C) 2004 Ladislav Vitasek
* info@wordrider.net
* http://www.wordrider.net
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
package net.wordrider.area.actions;

import net.wordrider.core.MainApp;
import net.wordrider.core.managers.interfaces.IFileInstance;
import net.wordrider.dialogs.FindReplaceDialog;

import javax.swing.*;
import javax.swing.text.JTextComponent;
import java.awt.event.ActionEvent;
import java.awt.event.InputEvent;
import java.awt.event.KeyEvent;

/**
 * @author Vity
 */

public final class ShowFindReplaceDialogAction extends TextAreaAction {

    private static final ShowFindReplaceDialogAction instance = new ShowFindReplaceDialogAction();
    private final static String CODE = "ShowFindReplaceDialogAction";


    public static final ShowFindReplaceDialogAction getInstance() {
        return instance;
    }

    private ShowFindReplaceDialogAction() {
        super(CODE, KeyStroke.getKeyStroke(KeyEvent.VK_F, InputEvent.CTRL_MASK), "find_replace.gif");
    }

    public final void actionPerformed(final ActionEvent e) {
        final IFileInstance instance = getAreaManager().getActiveFileInstance();
        if (instance != null) {
            SwingUtilities.invokeLater(new Runnable() {
                public void run() {
                    new FindReplaceDialog(MainApp.getInstance().getMainAppFrame(), (JEditorPane) instance.getTextComponent());
                }
            });
        }
    }
}
