/*
* Copyright (C) 2004 Ladislav Vitasek
* info@wordrider.net
* http://www.wordrider.net
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
package net.wordrider.area.views;

import net.wordrider.area.RiderArea;

import javax.swing.text.Element;
import javax.swing.text.IconView;
import java.awt.*;

/**
 * @author Vity
 */
final class RiderIconView extends IconView {
    private boolean wasInSelection;


    public RiderIconView(final Element elem) {
        super(elem);
    }


    public final void paint(final Graphics g, final Shape a) {
        final RiderArea area = ((RiderArea) getContainer());
        final Element el = getElement();
        if (RiderViewFactory.isInSelection(area, el)) {
            super.paint(g, a);    //call to super
            g.setXORMode(Color.WHITE);
            g.setColor(area.getSelectedTextColor());
            //g.setColor(Color.);
            g.fillRect(a.getBounds().x, a.getBounds().y, a.getBounds().width, a.getBounds().height);
            wasInSelection = true;
        } else {
            if (wasInSelection) {
                wasInSelection = false;
                area.getDoc().refresh(el.getStartOffset(), el.getEndOffset() - el.getStartOffset());
                return;
            }
            super.paint(g, a);    //call to super
        }
    }
}
