/*
* Copyright (C) 2004 Ladislav Vitasek
* info@wordrider.net
* http://www.wordrider.net
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
package net.wordrider.core.actions;

import net.wordrider.area.RiderArea;
import net.wordrider.core.AppPrefs;
import net.wordrider.core.managers.interfaces.IFileInstance;
import net.wordrider.utilities.Swinger;

import javax.swing.*;
import java.awt.event.ActionEvent;

/**
 * @author Vity
 */
public class ToggleAntialisingAreaAction extends CoreAction {
    private final static ToggleAntialisingAreaAction instance = new ToggleAntialisingAreaAction();
    private final static String CODE = "ToggleAntialisingAreaAction";
    private JMenuItem menuItem;

    public static final ToggleAntialisingAreaAction getInstance(final JMenuItem menuItem) {
        instance.menuItem = menuItem;
        menuItem.setSelected(AppPrefs.getProperty("net.wordrider.area.antialiasing", false));
        return instance;
    }

    private ToggleAntialisingAreaAction() {
        super(CODE, null, null);    //call to super
    }

    public void actionPerformed(final ActionEvent e) {
        final IFileInstance instance = getAreaManager().getActiveFileInstance();
        if (instance == null)
            return;
        AppPrefs.storeProperty("net.wordrider.area.antialiasing", Swinger.ANTIALIASING = !Swinger.ANTIALIASING);
        menuItem.setSelected(Swinger.ANTIALIASING);
        RiderArea area = (RiderArea) instance.getTextComponent();
        area.getDoc().refresh(0, area.getDoc().getLength());
    }
}
