/*
* Copyright (C) 2004 Ladislav Vitasek
* info@wordrider.net
* http://www.wordrider.net
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
package net.wordrider.core.managers;

import net.wordrider.core.managers.interfaces.IRiderManager;

import javax.swing.*;
import java.awt.*;

/**
 * @author Vity
 */
public final class DataDividerManager implements IRiderManager {
    private final JSplitPane splitPane;

    public DataDividerManager(final JPanel parentPane, final Component leftComponent, final Component rightComponent) {
        parentPane.add(splitPane = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT, leftComponent, rightComponent), BorderLayout.CENTER);
//        splitPane.setOrientation(JSplitPane.HORIZONTAL_SPLIT);
        // splitPane.setLastDividerLocation(300);
        splitPane.setOneTouchExpandable(true);
        splitPane.setDividerSize(8);
        //     splitPane.setDividerLocation(50);
    }

    public final void setLeftComponent(final Component component) {
        splitPane.setLeftComponent(component);
    }

    public final Component getManagerComponent() {
        return splitPane;
    }

    public final void setRightComponent(final Component component) {
        splitPane.setRightComponent(component);
    }

}
