/*
* Copyright (C) 2004 Ladislav Vitasek
* info@wordrider.net
* http://www.wordrider.net
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
package net.wordrider.dialogs;

import net.wordrider.utilities.Utils;

import javax.swing.filechooser.FileFilter;
import java.io.File;

/* Image89iFilter.java is a 1.4 example used by FileChooserDemo2.java. */

final class Image89iFilter extends FileFilter {

    //Accept all directories and all gif, jpg, tiff, or png files.
    public final boolean accept(final File f) {
        if (f.isDirectory())
            return true;

        final String extension = Utils.getExtension(f);
        if (extension != null)
            return (extension.equals("89i"));

        return false;
    }

    //The description of this filter
    public final String getDescription() {
        return "TI-89 Image files (*.89i)";
    }
}
